Bug 446682 - Asking for R 2.7.0
Asking for R 2.7.0
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: R (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 12:56 EDT by Paul Smith
Modified: 2008-05-18 08:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-15 13:26:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Smith 2008-05-15 12:56:34 EDT
R 2.7.0 was released on April 22, 2008. Why such a long delay to get the
respective Fedora rpms?

Many thanks,

Paul
Comment 1 Tom "spot" Callaway 2008-05-15 13:26:36 EDT
Because I couldn't break the freeze to enable R 2.7.0 (it came in just after we
froze), and I didn't want to break upgrades by pushing it to F-7 or F-8. It went
into rawhide a while back, and I just finished pushing updates today for all the
active releases:

https://admin.fedoraproject.org/updates/F7/pending/rpy-0.4.6-25.fc7,R-2.7.0-2.fc7.1
https://admin.fedoraproject.org/updates/F8/pending/rpy-1.0.1-4.fc8,R-2.7.0-2.fc8.1
https://admin.fedoraproject.org/updates/F9/pending/rpy-1.0.1-6.fc9,R-2.7.0-2.fc9.1

Please test and give karma, so they will move from testing into stable. :)
Comment 2 Paul Smith 2008-05-15 13:46:47 EDT
Thanks, Tom. Now I understand why it has taken so long to get Fedora rpms for R. 

I am trying to install your 

R-2.7.0-2.fc9.1

but getting

Examining /home/paulus/Desktop/rpy-1.0.1-6.fc9.i386.rpm: rpy-1.0.1-6.fc9.i386
Marking /home/paulus/Desktop/rpy-1.0.1-6.fc9.i386.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package rpy.i386 0:1.0.1-6.fc9 set to be updated
---> Package R.i386 0:2.7.0-2.fc9.1 set to be updated
--> Processing Dependency: R = 2.6.2 for package: R-devel
--> Finished Dependency Resolution
R-devel-2.6.2-1.fc9.i386 from installed has depsolving problems
  --> Missing Dependency: R = 2.6.2 is needed by package
R-devel-2.6.2-1.fc9.i386 (installed)
Error: Missing Dependency: R = 2.6.2 is needed by package
R-devel-2.6.2-1.fc9.i386 (installed)

Paul

Comment 3 jonathan baron 2008-05-17 21:08:57 EDT
(In reply to comment #1)

> Please test and give karma, so they will move from testing into stable. :)

I don't know if I'm allowed to give karma, but I tested this on a fresh install
of Fedora 9 (i386) and everything worked so far as I can tell.  I am able to
update the R packages, install packages from source, etc.  I got everything
except the "debug" packages.
Comment 4 Paul Smith 2008-05-18 08:34:45 EDT
It seems to work fine here too.

Note You need to log in before you can comment on or make changes to this bug.